Installer Slic3r sous Ubuntu 16.04 et Linux Mint 18

Rédigé par lkiefer - - 2 commentaires

Depuis les versions 16.04 d'Ubuntu et 18 de Linux Mint, Slic3r est intégré dans les dépôts! Mais malheureusement cette version ne fonctionne pas... La version qui est proposée en téléchargement sur le site de Slic3r ne fonctionne pas mieux, en raison de certaines bibliothèques du système d'exploitation qui ont changé de version. Il reste toutefois une solution: la compilation. Voyons comment faire sur ces deux systèmes.

On commence par installer les dépendances du logiciel, et de quoi le compiler. Cela se fait en une ligne de commande:

sudo apt install build-essential libgtk2.0-dev libwxgtk3.0-dev libwx-perl libmodule-build-perl git cpanminus libextutils-cppguess-perl libboost-all-dev libxmu-dev liblocal-lib-perl libxmu-dev freeglut3-dev libwxgtk-media3.0-dev libboost-thread-dev libboost-system-dev libboost-filesystem-dev
On utilise ensuite git pour récupérer le logiciel depuis son dépôt:
git clone https://github.com/alexrj/Slic3r.git

On se place dans le dossier créé, on choisit de compiler la version stable

cd Slic3r
git checkout -b origin/stable

Puis on lance la compilation, qui peut durer quelques minutes:

eval $(perl -Mlocal::lib)
export LDLOADLIBS=-lstdc++
perl Build.PL
perl Build.PL --gui

Si la compilation s'est bien passée, on peut maintenant lancer le logiciel dans le même terminal:

perl slic3r.pl

Pour pouvoir lancer correctement le logiciel par la suite, on va créer un petit script. Dans le dossier Slic3r, on va créer un fichier nommé slic3r qui contiendra:

#!/bin/sh
eval $(perl -Mlocal::lib)
perl ~/Slic3r/slic3r.pl $*

Il reste à se créer un lanceur dans son interface pour faciliter le lancement, sans oublier de rendre le script exécutable:

chmod +x ~/Slic3r/slic3r

Note: informations trouvées sur le wiki anglais, corrigées et adaptées

2 commentaires

#1  - OnsSrg a dit :

Merci lkiefer pour avoir le 02 septembre 2016 avoir écrit ces quelques lignes. Après avoir installé Linux Mint 18.3 Sylvia je ne pouvais plus utiliser Slic3r.
Merci infiniment, car n'ayant aucune connaissance en Linux, j'ai pu en suivant ta procédure y parvenir.

#2  - lkiefer a dit :

Je suis content de savoir que ça a pu être utile à quelqu'un :)
Mais je crois que la compilation n'est plus obligatoire aujourd'hui: j'utilise Slic3r Prusa Edition que j'ai juste téléchargé et décompressé (Linux Mint 18.3). Par contre il reste la dépendance freeglut à installer pour que Slic3r se lance:
sudo apt-get install freeglut3

Fil RSS des commentaires de cet article

Écrire un commentaire

Les commentaires sont modérés avant d'être postés. Les commentaires à vocation publicitaire, ou comportant un lien vers un site non personnel, ne seront pas publiés

Quelle est la première lettre du mot iykigl ?